{% extends "src/elements/_template.njk" %}
{% set title = "Личный курс валют" %}
{% block content %}
    <div class="currency">
        <div class="currency__main">
            <div class="main-header">
                <h1 class="main-header__title">{{ title }}</h1>
                <div class="main-header__content d-none d-md-flex">
                    <button type="button" class="btn btn-primary">
                        <i class="icon-plus">
                            {{ svgIcon('plus', viewBox='0 0 15 14') }}
                        </i>
                        <span>Добавить свой курс</span>
                    </button>
                </div>
            </div><!-- .main-header -->
            <div class="main-bar">
                <div class="main-bar__group">
                    <div class="main-bar__label">Записи: <strong>1–13</strong> из <strong>13</strong></div>
                    <div class="main-bar__item">
                        <label class="custom-field custom-field--date">
                            <input type="text" name="date" placeholder="16.12.2023" autocomplete="off" data-date>
                            <i class="custom-field__icon">
                                {{ svgIcon('calendar', viewBox='0 0 15 14') }}
                            </i>
                        </label>
                    </div>
                    <div class="main-bar__item d-none d-lg-block">
                        <label class="checkbox checkbox--inverse">
                            <input type="checkbox" class="checkbox__input" name="selected" value="" data-check-all>
                            <span class="checkbox__label">Выделить все:</span>
                        </label>
                    </div>
                    <div class="main-bar__item d-md-none">
                        <button type="button" class="btn btn-xs btn-primary">
                            <i class="icon-plus">
                                {{ svgIcon('plus', viewBox='0 0 15 14') }}
                            </i>
                            <span>Добавить</span>
                        </button>
                    </div>
                </div>
                <div class="data-control" data-control>
                    <div class="data-control__label">Выберите действие</div>
                    <div class="data-control__buttons">
                        <button type="button" class="btn-round">
                            <i>
                                {{ svgIcon('pen') }}
                            </i>
                        </button>
                        <button type="button" class="btn-round">
                            <i>
                                {{ svgIcon('trash') }}
                            </i>
                        </button>
                    </div>
                </div><!-- .data-control -->
            </div><!-- .main-bar -->

            <div class="line"></div>

            <div class="table-responsive">
                <table class="table table-main table-sticky">
                    <thead>
                    <tr>
                        <th class="table-check">
                            <div class="table-check-mobile">
                                <label class="checkbox checkbox--inverse">
                                    <input type="checkbox" class="checkbox__input" name="selected" data-check-all>
                                    <span class="checkbox__label checkbox__label--single"></span>
                                </label>
                            </div>
                        </th>
                        <th class="text-left table-num">
                            <div class="table-heading">
                                <span>Номер</span>
                            </div>
                        </th>
                        <th class="text-center">
                            <div class="table-heading">
                                <span>Из валюты</span>
                            </div>
                        </th>
                        <th class="text-center">
                            <div class="table-heading">
                                <span>В валюту</span>
                            </div>
                        </th>
                        <th class="text-center">
                            <div class="table-heading">
                                <span>Курс</span>
                            </div>
                        </th>
                        <th class="text-center">
                            <div class="table-heading">
                                <span>Период</span>
                            </div>
                        </th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                        <td class="table-check">
                            <label class="checkbox checkbox--inverse">
                                <input type="checkbox" class="checkbox__input" name="selected" value="" data-check-item>
                                <span class="checkbox__label checkbox__label--single"></span>
                            </label>
                        </td>
                        <td class="font-size-14 color-gray-dark text-nowrap table-num">
                            <span>001</span>
                        </td>
                        <td class="text-nowrap text-center">
                            <div>USD</div>
                            <div class="font-size-13 color-gray-dark">(Доллар США)</div>
                        </td>
                        <td class="text-nowrap text-center">
                            <div>RUB</div>
                            <div class="font-size-13 color-gray-dark">(Российский рубль)</div>
                        </td>
                        <td class="text-nowrap text-center">89,29</td>
                        <td>
                            <div class="table-period">
                                <div class="table-period__date">01.01.2024</div>
                                <div class="table-period__arrow">
                                    {{ svgIcon('arrow_sm', viewBox='0 0 14 14') }}
                                </div>
                                <div class="table-period__date">01.01.2024</div>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td class="table-check">
                            <label class="checkbox checkbox--inverse">
                                <input type="checkbox" class="checkbox__input" name="selected" value="" data-check-item>
                                <span class="checkbox__label checkbox__label--single"></span>
                            </label>
                        </td>
                        <td class="font-size-14 color-gray-dark text-nowrap table-num">
                            <span>001</span>
                        </td>
                        <td class="text-nowrap text-center">
                            <div>USD</div>
                            <div class="font-size-13 color-gray-dark">(Доллар США)</div>
                        </td>
                        <td class="text-nowrap text-center">
                            <div>RUB</div>
                            <div class="font-size-13 color-gray-dark">(Российский рубль)</div>
                        </td>
                        <td class="text-nowrap text-center">89,29</td>
                        <td>
                            <div class="table-period">
                                <div class="table-period__date">01.01.2024</div>
                                <div class="table-period__arrow">
                                    {{ svgIcon('arrow_sm', viewBox='0 0 14 14') }}
                                </div>
                                <div class="table-period__date">01.01.2024</div>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td class="table-check">
                            <label class="checkbox checkbox--inverse">
                                <input type="checkbox" class="checkbox__input" name="selected" value="" data-check-item>
                                <span class="checkbox__label checkbox__label--single"></span>
                            </label>
                        </td>
                        <td class="font-size-14 color-gray-dark text-nowrap table-num">
                            <span>001</span>
                        </td>
                        <td class="text-nowrap text-center">
                            <div>USD</div>
                            <div class="font-size-13 color-gray-dark">(Доллар США)</div>
                        </td>
                        <td class="text-nowrap text-center">
                            <div>RUB</div>
                            <div class="font-size-13 color-gray-dark">(Российский рубль)</div>
                        </td>
                        <td class="text-nowrap text-center">89,29</td>
                        <td>
                            <div class="table-period">
                                <div class="table-period__date">01.01.2024</div>
                                <div class="table-period__arrow">
                                    {{ svgIcon('arrow_sm', viewBox='0 0 14 14') }}
                                </div>
                                <div class="table-period__date">01.01.2024</div>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td class="table-check">
                            <label class="checkbox checkbox--inverse">
                                <input type="checkbox" class="checkbox__input" name="selected" value="" data-check-item>
                                <span class="checkbox__label checkbox__label--single"></span>
                            </label>
                        </td>
                        <td class="font-size-14 color-gray-dark text-nowrap table-num">
                            <span>001</span>
                        </td>
                        <td class="text-nowrap text-center">
                            <div>USD</div>
                            <div class="font-size-13 color-gray-dark">(Доллар США)</div>
                        </td>
                        <td class="text-nowrap text-center">
                            <div>RUB</div>
                            <div class="font-size-13 color-gray-dark">(Российский рубль)</div>
                        </td>
                        <td class="text-nowrap text-center">89,29</td>
                        <td>
                            <div class="table-period">
                                <div class="table-period__date">01.01.2024</div>
                                <div class="table-period__arrow">
                                    {{ svgIcon('arrow_sm', viewBox='0 0 14 14') }}
                                </div>
                                <div class="table-period__date">01.01.2024</div>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td class="table-check">
                            <label class="checkbox checkbox--inverse">
                                <input type="checkbox" class="checkbox__input" name="selected" value="" data-check-item>
                                <span class="checkbox__label checkbox__label--single"></span>
                            </label>
                        </td>
                        <td class="font-size-14 color-gray-dark text-nowrap table-num">
                            <span>001</span>
                        </td>
                        <td class="text-nowrap text-center">
                            <div>USD</div>
                            <div class="font-size-13 color-gray-dark">(Доллар США)</div>
                        </td>
                        <td class="text-nowrap text-center">
                            <div>RUB</div>
                            <div class="font-size-13 color-gray-dark">(Российский рубль)</div>
                        </td>
                        <td class="text-nowrap text-center">89,29</td>
                        <td>
                            <div class="table-period">
                                <div class="table-period__date">01.01.2024</div>
                                <div class="table-period__arrow">
                                    {{ svgIcon('arrow_sm', viewBox='0 0 14 14') }}
                                </div>
                                <div class="table-period__date">01.01.2024</div>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td class="table-check">
                            <label class="checkbox checkbox--inverse">
                                <input type="checkbox" class="checkbox__input" name="selected" value="" data-check-item>
                                <span class="checkbox__label checkbox__label--single"></span>
                            </label>
                        </td>
                        <td class="font-size-14 color-gray-dark text-nowrap table-num">
                            <span>001</span>
                        </td>
                        <td class="text-nowrap text-center">
                            <div>USD</div>
                            <div class="font-size-13 color-gray-dark">(Доллар США)</div>
                        </td>
                        <td class="text-nowrap text-center">
                            <div>RUB</div>
                            <div class="font-size-13 color-gray-dark">(Российский рубль)</div>
                        </td>
                        <td class="text-nowrap text-center">89,29</td>
                        <td>
                            <div class="table-period">
                                <div class="table-period__date">01.01.2024</div>
                                <div class="table-period__arrow">
                                    {{ svgIcon('arrow_sm', viewBox='0 0 14 14') }}
                                </div>
                                <div class="table-period__date">01.01.2024</div>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td class="table-check">
                            <label class="checkbox checkbox--inverse">
                                <input type="checkbox" class="checkbox__input" name="selected" value="" data-check-item>
                                <span class="checkbox__label checkbox__label--single"></span>
                            </label>
                        </td>
                        <td class="font-size-14 color-gray-dark text-nowrap table-num">
                            <span>001</span>
                        </td>
                        <td class="text-nowrap text-center">
                            <div>USD</div>
                            <div class="font-size-13 color-gray-dark">(Доллар США)</div>
                        </td>
                        <td class="text-nowrap text-center">
                            <div>RUB</div>
                            <div class="font-size-13 color-gray-dark">(Российский рубль)</div>
                        </td>
                        <td class="text-nowrap text-center">89,29</td>
                        <td>
                            <div class="table-period">
                                <div class="table-period__date">01.01.2024</div>
                                <div class="table-period__arrow">
                                    {{ svgIcon('arrow_sm', viewBox='0 0 14 14') }}
                                </div>
                                <div class="table-period__date">01.01.2024</div>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td class="table-check">
                            <label class="checkbox checkbox--inverse">
                                <input type="checkbox" class="checkbox__input" name="selected" value="" data-check-item>
                                <span class="checkbox__label checkbox__label--single"></span>
                            </label>
                        </td>
                        <td class="font-size-14 color-gray-dark text-nowrap table-num">
                            <span>001</span>
                        </td>
                        <td class="text-nowrap text-center">
                            <div>USD</div>
                            <div class="font-size-13 color-gray-dark">(Доллар США)</div>
                        </td>
                        <td class="text-nowrap text-center">
                            <div>RUB</div>
                            <div class="font-size-13 color-gray-dark">(Российский рубль)</div>
                        </td>
                        <td class="text-nowrap text-center">89,29</td>
                        <td>
                            <div class="table-period">
                                <div class="table-period__date">01.01.2024</div>
                                <div class="table-period__arrow">
                                    {{ svgIcon('arrow_sm', viewBox='0 0 14 14') }}
                                </div>
                                <div class="table-period__date">01.01.2024</div>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td class="table-check">
                            <label class="checkbox checkbox--inverse">
                                <input type="checkbox" class="checkbox__input" name="selected" value="" data-check-item>
                                <span class="checkbox__label checkbox__label--single"></span>
                            </label>
                        </td>
                        <td class="font-size-14 color-gray-dark text-nowrap table-num">
                            <span>001</span>
                        </td>
                        <td class="text-nowrap text-center">
                            <div>USD</div>
                            <div class="font-size-13 color-gray-dark">(Доллар США)</div>
                        </td>
                        <td class="text-nowrap text-center">
                            <div>RUB</div>
                            <div class="font-size-13 color-gray-dark">(Российский рубль)</div>
                        </td>
                        <td class="text-nowrap text-center">89,29</td>
                        <td>
                            <div class="table-period">
                                <div class="table-period__date">01.01.2024</div>
                                <div class="table-period__arrow">
                                    {{ svgIcon('arrow_sm', viewBox='0 0 14 14') }}
                                </div>
                                <div class="table-period__date">01.01.2024</div>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td class="table-check">
                            <label class="checkbox checkbox--inverse">
                                <input type="checkbox" class="checkbox__input" name="selected" value="" data-check-item>
                                <span class="checkbox__label checkbox__label--single"></span>
                            </label>
                        </td>
                        <td class="font-size-14 color-gray-dark text-nowrap table-num">
                            <span>001</span>
                        </td>
                        <td class="text-nowrap text-center">
                            <div>USD</div>
                            <div class="font-size-13 color-gray-dark">(Доллар США)</div>
                        </td>
                        <td class="text-nowrap text-center">
                            <div>RUB</div>
                            <div class="font-size-13 color-gray-dark">(Российский рубль)</div>
                        </td>
                        <td class="text-nowrap text-center">89,29</td>
                        <td>
                            <div class="table-period">
                                <div class="table-period__date">01.01.2024</div>
                                <div class="table-period__arrow">
                                    {{ svgIcon('arrow_sm', viewBox='0 0 14 14') }}
                                </div>
                                <div class="table-period__date">01.01.2024</div>
                            </div>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>

        </div>
        <div class="currency__aside">
            <div class="currency__title">Показатели рынка</div>

            <div class="currency__settings">
                <div class="currency-pair currency-pair--row" data-currency-pair>
                    <div class="currency-pair__item">
                        <div class="currency-field currency-field--single" data-currency-field>
                            <div class="currency-field__select" data-dropdown>
                                <div class="currency-field__button" data-dropdown-toggle>
                                    <div class="currency-field__content" data-currency-active>
                                        <div class="currency-field__name">Российский рубль</div>
                                        <div class="currency-field__type">RUB</div>
                                    </div>
                                    <div class="currency-field__arrow">
                                        {{ svgIcon('caret_down', viewBox='0 0 13 14') }}
                                    </div>
                                </div>
                                <div class="currency-field__dropdown" data-dropdown-content>
                                    <div class="currency-field__item" data-currency-item="RUB">
                                        <div class="currency-field__name">Российский рубль</div>
                                        <div class="currency-field__type">RUB</div>
                                    </div>
                                    <div class="currency-field__item" data-currency-item="USD">
                                        <div class="currency-field__name">Доллар США</div>
                                        <div class="currency-field__type">USD</div>
                                    </div>
                                    <div class="currency-field__item" data-currency-item="CNY">
                                        <div class="currency-field__name">Китайский Юань</div>
                                        <div class="currency-field__type">CNY</div>
                                    </div>
                                </div><!-- .currency-field__dropdown -->
                            </div><!-- .currency-field__select -->
                        </div><!-- .currency-field -->
                    </div>
                    <button type="button" class="currency-pair__switcher" data-currency-switcher>
                        {{ svgIcon('switcher', viewBox='0 0 20 20') }}
                    </button>
                    <div class="currency-pair__item">
                        <div class="currency-field currency-field--single" data-currency-field>
                            <div class="currency-field__select" data-dropdown>
                                <div class="currency-field__button" data-dropdown-toggle>
                                    <div class="currency-field__content" data-currency-active>
                                        <div class="currency-field__name">Доллар США</div>
                                        <div class="currency-field__type">USD</div>
                                    </div>
                                    <div class="currency-field__arrow">
                                        {{ svgIcon('caret_down', viewBox='0 0 13 14') }}
                                    </div>
                                </div>
                                <div class="currency-field__dropdown" data-dropdown-content>
                                    <div class="currency-field__item" data-currency-item="RUB">
                                        <div class="currency-field__name">Российский рубль</div>
                                        <div class="currency-field__type">RUB</div>
                                    </div>
                                    <div class="currency-field__item" data-currency-item="USD">
                                        <div class="currency-field__name">Доллар США</div>
                                        <div class="currency-field__type">USD</div>
                                    </div>
                                    <div class="currency-field__item" data-currency-item="CNY">
                                        <div class="currency-field__name">Китайский Юань</div>
                                        <div class="currency-field__type">CNY</div>
                                    </div>
                                </div><!-- .currency-field__dropdown -->
                            </div><!-- .currency-field__select -->
                        </div><!-- .currency-field -->
                    </div>
                </div><!-- .currency-pair -->
            </div><!-- .currency__settings -->

            <div class="currency__label">Популярные валюты</div>

            <div class="currency__data" data-choice-group>
                <div class="currency-item active" data-choice>
                    <div class="currency-item__content">
                        <div class="currency-item__name">Доллар США, $</div>
                        <div class="currency-item__code">USD</div>
                    </div>
                    <div class="currency-item__value">89,29 ₽</div>
                </div><!-- .currency-item -->
                <div class="currency-item" data-choice>
                    <div class="currency-item__content">
                        <div class="currency-item__name">Евро, €</div>
                        <div class="currency-item__code">EUR</div>
                    </div>
                    <div class="currency-item__value">96,79 ₽</div>
                </div><!-- .currency-item -->
                <div class="currency-item" data-choice>
                    <div class="currency-item__content">
                        <div class="currency-item__name">Китайский Юань, ¥</div>
                        <div class="currency-item__code">CNY</div>
                    </div>
                    <div class="currency-item__value">12,41 ₽</div>
                </div><!-- .currency-item -->
                <div class="currency-item" data-choice>
                    <div class="currency-item__content">
                        <div class="currency-item__name">Японская йена, ¥</div>
                        <div class="currency-item__code">JPY</div>
                    </div>
                    <div class="currency-item__value">0,606087 ₽</div>
                </div><!-- .currency-item -->
            </div><!-- .currency__data -->

            <div class="currency__chart currency-chart">
                <div class="currency-chart__header">
                    <div class="currency-chart__title">График <span class="color-gray">USD / RUB</span></div>
                    <div class="currency-chart__date">
                        <label class="field-date">
                            <input type="text" name="month" data-month value="Февраль 2024">
                            <i class="field-date__icon">
                                {{ svgIcon('calendar', viewBox='0 0 15 14') }}
                            </i>
                        </label>
                    </div>
                </div>
                <div class="currency-chart__main">
                    <canvas data-chart-one></canvas>
                </div>
            </div><!-- .currency__chart -->
        </div>
    </div><!-- .currency -->
{% endblock %}

{% block pageScripts %}
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <script>
        // Chart One
        if (document.querySelector('[data-chart-one]')) {
            const ctx1 = document.querySelector('[data-chart-one]')
            new Chart(ctx1, {
                type: 'line',
                data: {
                    labels: ['1', '7', '12', '24', '84', '50', '12'],
                    datasets: [{
                        label: 'Расходы',
                        data: [30, 59, 20, 81, 56, 55, 40],
                        borderWidth: 1,
                        tension: 0.5,
                        fill: true,
                        borderColor: '#0176F6',
                        backgroundColor: [
                            'rgba(1, 118, 246, 0.1)',
                            'rgba(255, 255, 255, 0)'
                        ],
                    }]
                },
                options: {
                    plugins: {
                        legend: {
                            display: false,
                        }
                    },
                    scales: {
                        y: {
                            beginAtZero: true
                        }
                    }
                }
            });
        }
    </script>
{% endblock %}
